Create Meld customer
curl --request POST \
--url https://api.portalhq.io/api/v3/clients/me/integrations/meld/customers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": {
"firstName": "<string>",
"lastName": "<string>"
},
"email": "jsmith@example.com",
"phone": "<string>",
"dateOfBirth": "2023-12-25"
}
'import requests
url = "https://api.portalhq.io/api/v3/clients/me/integrations/meld/customers"
payload = {
"name": {
"firstName": "<string>",
"lastName": "<string>"
},
"email": "jsmith@example.com",
"phone": "<string>",
"dateOfBirth": "2023-12-25"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: {firstName: '<string>', lastName: '<string>'},
email: 'jsmith@example.com',
phone: '<string>',
dateOfBirth: '2023-12-25'
})
};
fetch('https://api.portalhq.io/api/v3/clients/me/integrations/meld/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"accountId": "<string>",
"externalId": "<string>",
"name": {
"firstName": "<string>",
"lastName": "<string>"
},
"email": "<string>",
"phone": "<string>",
"dateOfBirth": "<string>",
"addresses": [
{
"id": "<string>",
"customerId": "<string>",
"addressDetails": {
"lineOne": "<string>",
"lineTwo": "<string>",
"city": "<string>",
"region": "<string>",
"postalCode": "<string>",
"country": "<string>"
}
}
],
"serviceProviders": {}
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>",
"details": {
"meldCustomerId": "<string>"
}
}Meld
Create Meld customer
Registers the authenticated Portal client as a Meld customer. Returns
409 Conflict if a Meld customer already exists for this client — use
GET /customers instead.
POST
/
clients
/
me
/
integrations
/
meld
/
customers
Create Meld customer
Authorizations
Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.
Body
application/json
Response
Meld customer created successfully
Show child attributes
Show child attributes
Was this page helpful?
⌘I